
020-1,78,85,0	script	Santa	NPC105,{
	mes "[Santa Claus]";
	mes "\"Ho! Ho! Ho!\"";
	next;
	
	if (QUEST_xmas08_state == 0) goto L_SantaStart;
	if (QUEST_xmas08_state & (1 << 10)) goto L_SantaFinished;
	
	mes "[Santa Claus]";
	mes "\"So, how are we doing?\"";
	next;
	menu "I've found them all!", L_SantaCheck, "I still have a few to find.", -, "What am I doing again?", L_SantaExplain;
	mes "[Santa Claus]";
	mes "\"Well that's okay.";
	mes "Please do keep searching!\"";
	close;
	
L_SantaCheck:
	if (QUEST_xmas08_state & 0x3FF == 0x3FF) goto L_SantaComplete;
	mes "[Santa Claus]";
	mes "\"Ah now, please don't lie to me, I don't want to have to put you on my naughty list!\"";
	close;
	
L_SantaComplete:
	mes "[Santa Claus]";
	mes "\"Splendid!";
	mes "I knew I could count on you to find them all.\"";
	next;
	mes "[Santa Claus]";
	mes "\"Now, let me see what I have here for you.\"";
	next;
	mes "Santa fumbles around in a large sack and pulls out a Mouboo head hat!";
	getitem 1216,1;
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 10);
	next;
	mes "[Santa Claus]";
	mes "\"I thought you'd like that.";
	mes "It's a very good likeness, don't you think?\"";
	next;
	mes "[Santa Claus]";
	mes "\"Well now, since I know all my Reinboo are safe,";
	mes "I can get back to giving out presents to the people of The Mana World.\"";
	next;
	mes "[Santa Claus]";
	mes "\"Once again, thank you very much for helping me out.";
	mes "";
	mes "Merry Christmas!\"";
	close;
	
L_SantaExplain:
	mes "[Santa Claus]";
	mes "\"Well you agreed to help me find all nine of my lost Reinboo.";
	mes "Until I know they're all safe and well I don't feel able to give out any presents.\"";
	close;


L_SantaStart:
	mes "[Santa Claus]";
	mes "\"I came all this way to bring presents to the people of The Mana World,";
	mes "but it seems my reinboo's have all got lost!\"";
	next;
	mes "[Santa Claus]";
	mes "\"So you see I won't be able to give out any presents until I know they're all safe and well.";
	mes "";
	if (BaseLevel < 20) goto L_SantaYoung;
	mes "Will you help me find all nine of them, please?\"";
	next;
	menu "Of course I will, Santa!", L_SantaStartYes, "Sorry, I have better things to do.", -;
	close;

L_SantaYoung:
	mes "\"I'd ask you to help me find them, but I think you're still a bit young.\"";
	close;

L_SantaStartYes:
	set QUEST_xmas08_state, QUEST_xmas08_state | 1;
	mes "[Santa Claus]";
	mes "\"Oh that is excellent news!";
	mes "Thank you.\"";
	next;
	mes "Santa shakes your hand with delight.";
	close;

	
L_SantaFinished:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Santa Claus]";
	mes "\"Ahh, it's so great to see everyone's smiles when they open a present, don't you think?\"";
	close;
	
L_Chat2:
	mes "[Santa Claus]";
	mes "\"Did I remember to get Mrs. Claus something?";
	mes "Oh dear, I can't remember if I did.\"";
	close;
}


004-1,51,25,0	script	Dasher	NPC170,{
	if (QUEST_xmas08_state & (1 << 1)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;
	
L_FoundReinboo:
	mes "[Dasher]";
	mes "\"Say, you smell like Santa Claus.";
	mes "";
	mes "You don't look much like him though.\"";
	next;
	menu "Santa asked me to help find you.", -;
	mes "[Dasher]";
	mes "\"Oh well, in that case you can tell him that I'm right here and I'm fine.";
	mes "";
	mes "I suppose I should explain how I got here really.\"";
	next;
	mes "[Dasher]";
	mes "\"I was flying about with a few other Reinboo after we got here,";
	mes "we were playing games, any way I got rather tired of flying and ended up having to land in this area.";
	mes "So I need to rest up for a while before I can make it back to Santa.\"";
	next;
	menu "Okay, I'll Santa that when I see him.";
	mes "[Dasher]";
	mes "\"Thank you and Merry Christmas!\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 1);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Dasher]";
	mes "\"It sure is hot out here in the desert.\"";
	close;
	
L_Chat2:
	mes "[Dasher]";
	mes "\"I wonder what Santa got me for Christmas.\"";
	close;
}

005-1,178,41,0	script	Dancer	NPC170,{
	if (QUEST_xmas08_state & (1 << 2)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;
	
L_FoundReinboo:
	mes "[Dancer]";
	mes "\"Hrmm, you smell quite like Santa Claus.\"";
	next;
	menu "I've been sent by Santa to find you.", -;
	mes "[Dancer]";
	mes "\"Oh I see.";
	mes "I'm just doing a bit of sight seeing, I haven't been to The Mana World before.";
	mes "";
	mes "The snakes down there seem to lack the Christmas spirit so I'm walking around up here.\"";
	next;
	mes "[Dancer]";
	mes "\"If you could, can you tell Santa that I'm okay and I'll be back shortly?\"";
	next;
	menu "Sure!", -;
	mes "[Dancer]";
	mes "\"Great!";
	mes "Happy Christmas!\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 2);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Dancer]";
	mes "\"Let's see, I've been around the forest and I'm nearly done with the desert now.";
	mes "I guess after that it's back up to Santa.\"";
	close;
	
L_Chat2:
	mes "[Dancer]";
	mes "\"The snakes don't seem to understand a word I'm saying.\"";
	close;
}

009-3,23,105,0	script	Prancer	NPC170,{
	if (QUEST_xmas08_state & (1 << 3)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;
	
L_FoundReinboo:
	mes "[Prancer]";
	mes "\"Santa?\"";
	next;
	mes "[Prancer]";
	mes "\"No, wait you're not Santa Claus.\"";
	next;
	menu "Santa sent me to find you!", -;
	mes "[Prancer]";
	mes "\"Oh really?";
	mes "That's good to know.\"";
	next;
	menu "How did you get down here by the way?", -;
	mes "[Prancer]";
	mes "\"To be honest with you I have absolutely no idea.";
	mes "But I'm perfectly fine.";
	mes "If Santa could come and help me out of here, that would be nice.\"";
	next;
	menu "Okay, I'll tell him.", -;
	mes "[Prancer]";
	mes "\"Thank you!\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 3);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Prancer]";
	mes "\"It's rather cold down here, it's a good job I have that fire to warm myself with.\"";
	close;
	
L_Chat2:
	mes "[Prancer]";
	mes "\"I still can't remember how I ended up down here.\"";
	close;
}

012-1,47,38,0	script	Vixen	NPC170,{
	if (QUEST_xmas08_state & (1 << 4)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;
	
L_FoundReinboo:
	mes "[Vixen]";
	mes "\"Hello there.";
	mes "What can I do for you?\"";
	next;
	menu "I'm finding all the Reinboo for Santa!", -;
	mes "[Vixen]";
	mes "\"You came all the way up here just to find me?";
	mes "Wow, you must be such a nice person to do that!\"";
	next;
	mes "[Vixen]";
	mes "\"Hrmm, I guess Santa must be a bit worried though.";
	mes "Could you tell him where I am and that I'm okay?\"";
	next;
	menu "Sure thing.", -;
	mes "[Vixen]";
	mes "\"Thank you very much.";
	mes "";
	mes "Merry Christmas!\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 4);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Vixen]";
	mes "\"What a lovely view you get from here!\"";
	close;
	
L_Chat2:
	mes "[Vixen]";
	mes "\"I hope walking up here didn't tire you out.\"";
	close;
}

013-1,130,21,0	script	Comet	NPC170,{
	if (QUEST_xmas08_state & (1 << 5)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;
	
L_FoundReinboo:
	mes "[Comet]";
	mes "\"Erm.. Hi!";
	mes "Why do you smell like Santa?\"";
	next;
	menu "Probably because he shook my hand.", -;
	mes "[Comet]";
	mes "\"Oh, so you've been talking to him have you.";
	mes "";
	mes "No don't say it, let me guess.\"";
	next;
	mes "[Comet]";
	mes "\"Santa has sent you to find all of his Reinboo because he's lost them.";
	mes "Is that about right?\"";
	next;
	menu "Yup, that's it!", -;
	mes "[Comet]";
	mes "\"It's happened before, long story.";
	mes "";
	mes "So yeah, just tell him that I'm here, I'll make my way back to him later.\"";
	next;
	menu "Okay, I will.", -;
	mes "[Comet]";
	mes "\"So I suppose you'd like to know how I ended up... wherever I am.\"";
	next;
	mes "[Comet]";
	mes "\"A few of us were flying about, as we do.";
	mes "Then this big gust of wind came and carried me over this forest!";
	mes "I was forced to land just down there on the road.";
	mes "I've just had a quick nap and I'll try and make it back to Santa soon.\"";
	next;
	menu "Ah right, well I'll tell Santa that too.", -;
	mes "[Comet]";
	mes "\"Okay, thanks for finding me.";
	mes "Merry Christmas!\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 5);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Comet]";
	mes "\"I'll tell you what, these flowers taste nice.\"";
	close;
	
L_Chat2:
	mes "[Comet]";
	mes "\"I wonder where the others are?\"";
	close;
}

014-1,91,19,0	script	Cupid	NPC170,{
	if (QUEST_xmas08_state & (1 << 6)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;
	
L_FoundReinboo:
	menu "Hi, Santa sent me to find you.", -;
	mes "[Cupid]";
	mes "\"Hi!";
	mes "Santa sent you to find me? Why what's happened?\"";
	next;
	menu "All of the Reinboo have gone missing!", -;
	mes "[Cupid]";
	mes "\"Oh dear, I thought I was the only one who went off to explore.";
	mes "";
	mes "I thought it would be nice to explore the forests around here.";
	mes "We don't have forests like this where I live.\"";
	next;
	menu "What do the forests where you live look like?", -;
	mes "[Cupid]";
	mes "\"Did you see the Christmas tree by Santa?";
	mes "It's pretty much all like that, of course we decorated the tree Santa is next to.\"";
	next;
	menu "I'll tell Santa you're here then, okay?", -;
	mes "[Cupid]";
	mes "\"Yes, please do.";
	mes "Oh, Happy Christmas!\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 6);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Cupid]";
	mes "\"Do you think there is any fish in this river.\"";
	close;
	
L_Chat2:
	mes "[Cupid]";
	mes "\"I wonder what Santa looks like without a beard.\"";
	close;
}

015-1,50,76,0	script	Donner	NPC170,{
	if (QUEST_xmas08_state & (1 << 7)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;
	
L_FoundReinboo:
	menu "Hi, Santa sent me to find you.", -;
	mes "[Donner]";
	mes "\"Santa? Tell Santa I won't work for him anymore.\"";
	next;
	menu "Why?", -;
	mes "[Donner]";
	mes "\"I got enough of that fat bum. We have to pull him all around the globe and he gets all the praise.\"";
	next;
	mes "[Donner]";
	mes "\"Do you know how heavy that guy is? He also pays bad and we always have to work on holidays.\"";
	next;
	menu "But Santa needs you!", -;
	mes "[Donner]";
	mes "\"Really? What would he do to persuade me to keep working for him?\"";
	next;
	menu "How about a 5% raise?",-;
	mes "[Donner]";
	mes "\"I think someone with my work experience deserves more than that.\"";
	next;
	menu "Then a 10% raise?",-;
	mes "[Donner]";
	mes "\"Sounds better.";
	mes "But I think I can find someone else in the present delivery industry who is willing to pay that.";
	mes "I've heard the easter bunnies are hiring...\"";
	next;
	menu "How about a health plan?",-;
	mes "[Donner]";
	mes "\"Including dental care?\"";
	next;
	menu "Sure.",-;
	mes "[Donner]";
	mes "\"And full sickness pay?\"";
	next;
	menu "I am pretty sure he will agree to that.",-;
	mes "[Donner]";
	mes "\"OK, tell Santa I will come back to work tomorrow.\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 7);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Donner]";
	mes "\"Santa had better pull through on this deal.\"";
	close;
	
L_Chat2:
	mes "[Donner]";
	mes "\"I wonder if I could get more holiday as well.\"";
	close;
}

016-1,33,87,0	script	Blitzen	NPC170,{
	if (QUEST_xmas08_state & (1 << 8)) goto L_ChatReinboo;
	
	mes "[Blitzen]";
	mes "\"HIC!...HIC!....HIC!...\"";
	next;
	mes "The Reinboo staggers and almost falls down, but catches itself in the last moment.";
	next;
	mes "[Blitzen]";
	mes "\"Oh boy, I don't feel well.\"";
	
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	close;
	
L_FoundReinboo:
	next;
	menu "Are you alright?",-;
	mes "[Blitzen]";
	mes "\"Are you... are y-you... are you santa?\"";
	next;
	menu "No, but he sent me to search for you.",-;
	mes "[Blitzen]";
	mes "\"I... I was searching for S-Santa aaaaall around.";
	mes "...went to pub HIC! to warm myself HIC!\"";
	next;
	mes "[Blitzen]";
	mes "\"The nice man gave me warm drink HIC!\"";
	next;
	mes "[Blitzen]";
	mes "\"First mug tasted strange HIC! Second better HIC! Third really good HIC\"";
	next;
	mes "[Blitzen]";
	mes "\"After the fourth mug everything started spinning.\"";
	next;
	mes "[Blitzen]";
	mes "\"No idea what happened then.\"";
	next;
	mes "[Blitzen]";
	mes "\"HIC!\"";
	next;
	menu "You are drunk.",-;
	mes "[Blitzen]";
	mes "\"Seems so.\"";
	next;
	menu "I will show you the way to Santa",-;
	mes "[Blitzen]";
	mes "\"Th...Thank you.\"";
	next;
	mes "[Blitzen]";
	mes "\"I think I will find the way now... I hope.\"";
	next;
	mes "[Blitzen]";
	mes "\"HIC!\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 8);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Blitzen]";
	mes "\"Ooooh, my head!\"";
	close;
	
L_Chat2:
	mes "[Blitzen]";
	mes "\"I promise, I will stop drinking. I know I can do it. I did it a hundred times.\"";
	close;
}

020-1,98,116,0	script	Rudolf	NPC170,{
	if (QUEST_xmas08_state & (1 << 9)) goto L_ChatReinboo;
	if (QUEST_xmas08_state & 1) goto L_FoundReinboo;
	
	mes "The Reinboo seems to ignore you";
	close;

L_FoundReinboo:
	menu "Hi!", -;
	mes "[Rudolf]";
	mes "\"No, I'm not doing autographs!\"";
	next;
	menu "No, that's not what I was going to say.", -;
	mes "[Rudolf]";
	mes "\"Well then what do you want?";
	mes "I am very busy you know.\"";
	next;
	menu "I'm helping Santa find his Reinboo.", -;
	mes "[Rudolf]";
	mes "\"Congratulations you found me.";
	mes "Anything else?\"";
	next;
	menu "Umm... Are you okay?", -;
	mes "[Rudolf]";
	mes "\"What do you mean by that?\"";
	next;
	menu "You just seem a bit edgy.", -;
	mes "[Rudolf]";
	mes "\"Well if you had to put with being the 'famous one' you'd understand.\"";
	next;
	mes "[Rudolf]";
	mes "\"It's hard to get time to myself, you know?.";
	mes "";
	mes "People don't even leave me alone when I doing my shopping.\"";
	next;
	mes "[Rudolf]";
	mes "\"Erm... yeah.";
	mes "Sorry, I should just save all that for my therapist.\"";
	next;
	menu "It's okay. I'll tell Santa you're here, alright?", -;
	mes "[Rudolf]";
	mes "\"Yeah, okay.";
	mes "Take care.\"";
	set QUEST_xmas08_state, QUEST_xmas08_state | (1 << 9);
	close;
	
L_ChatReinboo:
	set @temp,rand(2);
	if(@temp == 0) goto L_Chat1;
	if(@temp == 1) goto L_Chat2;
	
L_Chat1:
	mes "[Rudolf]";
	mes "\"You know the song about me?";
	mes "Yeah, well I don't get a penny from it.\"";
	close;
	
L_Chat2:
	mes "[Rudolf]";
	mes "\"Can I have some space please?.\"";
	close;
}